## org.apache.fop.layout
Class Page

    java.lang.Object
      |
      +--org.apache.fop.layout.Page

public class Page
extends java.lang.Object

Field Summary
`protected java.util.Vector` `linkSets`
`protected int` `pageNumber`

Method Summary
`void` `addBody(BodyAreaContainer area)` Ensure that page is set not only on B.A.C.
`void` `addLinkSet(LinkSet linkSet)`
`void` `addPendingFootnote(FootnoteBody fb)`
`void` `addToIDList(java.lang.String id)`
`AreaContainer` `getAfter()`
`AreaContainer` `getBefore()`
`BodyAreaContainer` `getBody()`
`FontInfo` `getFontInfo()`
`int` `getHeight()`
`java.util.Vector` `getIDList()`
`java.util.Vector` `getLinkSets()`
`int` `getNumber()`
`java.util.Vector` `getPendingFootnotes()`
`int` `getWidth()`
`boolean` `hasLinks()`
`void` `render(Renderer renderer)`
`void` `setNumber(int number)`
`void` `setPendingFootnotes(java.util.Vector v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageNumber

    protected int pageNumber

### linkSets

    protected java.util.Vector linkSets

Method Detail

### setNumber

    public void setNumber(int number)

### getNumber

    public int getNumber()

### addBody

    public void addBody(BodyAreaContainer area)

  Ensure that page is set not only on B.A.C. but also on the three top-level reference areas.
  Parameters:
    `area` - The region-body area container (special)

### render

    public void render(Renderer renderer)

### getAfter

    public AreaContainer getAfter()

### getBefore

    public AreaContainer getBefore()

### getBody

    public BodyAreaContainer getBody()

### getHeight

    public int getHeight()

### getWidth

    public int getWidth()

### getFontInfo

    public FontInfo getFontInfo()

### addLinkSet

    public void addLinkSet(LinkSet linkSet)

### getLinkSets

    public java.util.Vector getLinkSets()

### hasLinks

    public boolean hasLinks()

### addToIDList

    public void addToIDList(java.lang.String id)

### getIDList

    public java.util.Vector getIDList()

### getPendingFootnotes

    public java.util.Vector getPendingFootnotes()

### setPendingFootnotes

    public void setPendingFootnotes(java.util.Vector v)

### addPendingFootnote

    public void addPendingFootnote(FootnoteBody fb)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.